graphql/dataloader 软件分析报告

基础信息

项目名称:graphql/dataloader

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1718352862051614720/1718352862093557760

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
低危
kind-of 存在注入漏洞 将资源暴露给错误范围 MPS-2019-17164 CVE-2019-20149 高危
Mikaelbr Node-notifier 操作系统命令注入漏洞 OS命令注入 MPS-2020-17637 CVE-2020-7789 中危
prompts 正则表达式拒绝服务漏洞 ReDoS MPS-2021-32909 中危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
acorn 存在拒绝服务漏洞 拒绝服务 MPS-2022-13525 高危
istanbul-reports 通过 window.opener 访问使用指向不受信任目标的 Web 链接 MPS-2022-13797 中危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
nwsapi 拒绝服务 拒绝服务 MPS-2022-54623 中危
needle 存在Authorization请求头泄露漏洞 未授权敏感信息泄露 MPS-2022-7866 中危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
fsevents 安全漏洞 代码注入 MPS-2ipy-muq0 CVE-2023-45311 严重
Babel 插件任意代码执行漏洞漏洞【Poc公开】 不完整的黑名单 MPS-avb9-j50z CVE-2023-45133 严重
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
glob-parent 3.1.0 5.1.2 间接依赖 建议修复
glob-parent 5.1.0 5.1.2 间接依赖 建议修复
@babel/traverse 7.7.2 7.23.2 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
tough-cookie 2.5.0 4.1.3 间接依赖 建议修复
acorn 7.1.0 7.1.1 间接依赖 建议修复
kind-of 6.0.2 6.0.3 间接依赖 可选修复
needle 2.4.0 3.1.0 间接依赖 可选修复
node-notifier 5.4.3 5.4.5 间接依赖 可选修复
request 2.88.0 间接依赖 可选修复
fsevents 1.2.9 1.2.11 直接依赖 可选修复
prompts 2.3.0 2.4.2 间接依赖 可选修复
semver 6.3.0 7.5.2 间接依赖 可选修复
semver 5.7.1 7.5.2 间接依赖 可选修复
nwsapi 2.2.0 2.2.1 间接依赖 可选修复
istanbul-reports 2.2.6 3.1.3 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 612
ISC 67
BSD-3-Clause 17
BSD-2-Clause 14
Apache-2.0 16
CC-BY-4.0 1
WTFPL 1
CC0-1.0 1
CC-BY-3.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
kind-of 3.2.2 间接依赖 npm
regexp.prototype.flags 1.4.3 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
rc 1.2.8 间接依赖 npm
@babel/plugin-proposal-unicode-property-regex 7.7.0 间接依赖 npm
graceful-fs 4.2.9 直接依赖 npm
fill-range 4.0.0 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
shellwords 0.1.1 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
@babel/helpers 7.7.0 间接依赖 npm
node-pre-gyp 0.12.0 间接依赖 npm
@babel/plugin-syntax-optional-catch-binding 7.2.0 间接依赖 npm
@babel/plugin-transform-member-expression-literals 7.2.0 间接依赖 npm
@changesets/git 1.4.1 间接依赖 npm
inherits 2.0.4 间接依赖 npm
write-file-atomic 2.4.1 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
string-width 2.1.1 间接依赖 npm
acorn 7.1.0 间接依赖 npm
path-key 2.0.1 间接依赖 npm
universalify 0.1.2 间接依赖 npm
cliui 5.0.0 间接依赖 npm
fs-extra 8.1.0 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
@babel/runtime 7.17.8 间接依赖 npm
is-generator-fn 2.1.0 间接依赖 npm
human-id 1.0.2 间接依赖 npm
@changesets/errors 0.1.4 间接依赖 npm
@types/is-ci 3.0.0 间接依赖 npm
import-fresh 3.2.0 间接依赖 npm
mkdirp 0.5.6 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
esrecurse 4.2.1 间接依赖 npm
nwsapi 2.2.0 间接依赖 npm
chardet 0.7.0 间接依赖 npm
@babel/code-frame 7.5.5 间接依赖 npm
pretty-format 24.9.0 间接依赖 npm
object.assign 4.1.4 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
urix 0.1.0 间接依赖 npm
tmp 0.0.33 间接依赖 npm
@changesets/assemble-release-plan 5.2.1 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
lines-and-columns 1.2.4 间接依赖 npm
@babel/parser 7.7.3 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
eslint-utils 1.4.3 间接依赖 npm
es-abstract 1.20.1 间接依赖 npm
@babel/plugin-proposal-async-generator-functions 7.7.0 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
find-yarn-workspace-root2 1.2.16 间接依赖 npm
source-map 0.5.7 间接依赖 npm
needle 2.4.0 间接依赖 npm
string.prototype.trimend 1.0.5 间接依赖 npm
nan 2.14.0 间接依赖 npm
function.prototype.name 1.1.5 间接依赖 npm
@babel/plugin-transform-modules-amd 7.5.0 间接依赖 npm
use 3.1.1 间接依赖 npm
@jest/types 24.9.0 间接依赖 npm
fastq 1.13.0 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
merge2 1.4.1 间接依赖 npm
resolve-cwd 2.0.0 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
util.promisify 1.0.0 间接依赖 npm
@jest/fake-timers 24.9.0 间接依赖 npm
tty-table 4.1.6 间接依赖 npm
is-callable 1.1.4 间接依赖 npm
@babel/preset-env 7.7.1 直接依赖 npm
is-descriptor 1.0.2 间接依赖 npm
osenv 0.1.5 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
fsevents 1.2.9 直接依赖 npm
lodash 4.17.21 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
eslint-plugin-prettier 3.4.1 直接依赖 npm
p-each-series 1.0.0 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
y18n 5.0.8 间接依赖 npm
chalk 4.1.2 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
@jest/transform 24.9.0 间接依赖 npm
jest-watcher 24.9.0 间接依赖 npm
ws 5.2.3 间接依赖 npm
data-urls 1.1.0 间接依赖 npm
chokidar 2.1.8 直接依赖 npm
fb-watchman 2.0.0 间接依赖 npm
unicode-property-aliases-ecmascript 1.0.5 间接依赖 npm
yargs 15.4.1 间接依赖 npm
yallist 3.1.1 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
file-entry-cache 5.0.1 间接依赖 npm
pseudomap 1.0.2 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
istanbul-lib-instrument 3.3.0 间接依赖 npm
@babel/plugin-transform-template-literals 7.4.4 间接依赖 npm
@babel/plugin-syntax-top-level-await 7.7.0 间接依赖 npm
whatwg-mimetype 2.3.0 间接依赖 npm
@changesets/logger 0.0.5 间接依赖 npm
@changesets/apply-release-plan 6.0.4 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
is-symbol 1.0.2 间接依赖 npm
webidl-conversions 4.0.2 间接依赖 npm
cssstyle 1.4.0 间接依赖 npm
@babel/plugin-transform-function-name 7.7.0 间接依赖 npm
core-js-compat 3.4.1 间接依赖 npm
async-each 1.0.3 间接依赖 npm
cli-width 2.2.0 间接依赖 npm
ansi-colors 4.1.3 间接依赖 npm
prettier-linter-helpers 1.0.0 间接依赖 npm
domexception 1.0.1 间接依赖 npm
@babel/plugin-transform-new-target 7.4.4 间接依赖 npm
breakword 1.0.5 间接依赖 npm
commondir 1.0.1 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
get-stream 4.1.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
is-extendable 1.0.1 间接依赖 npm
repeat-element 1.1.3 间接依赖 npm
acorn-jsx 5.1.0 间接依赖 npm
once 1.4.0 间接依赖 npm
graceful-fs 4.2.3 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
jest-changed-files 24.9.0 间接依赖 npm
@babel/helper-optimise-call-expression 7.7.0 间接依赖 npm
@jest/test-result 24.9.0 间接依赖 npm
fast-diff 1.2.0 间接依赖 npm
punycode 2.1.1 间接依赖 npm
is-data-descriptor 1.0.0 间接依赖 npm
@babel/plugin-transform-classes 7.7.0 间接依赖 npm
strip-ansi 5.2.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
ci-info 2.0.0 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
object.getownpropertydescriptors 2.0.3 间接依赖 npm
js-levenshtein 1.1.6 间接依赖 npm
prettier 2.8.3 直接依赖 npm
ansi-regex 5.0.0 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
supports-color 6.1.0 间接依赖 npm
detect-newline 2.1.0 间接依赖 npm
@types/babel__traverse 7.0.7 间接依赖 npm
define-property 0.2.5 间接依赖 npm
html-encoding-sniffer 1.0.2 间接依赖 npm
rsvp 4.8.5 间接依赖 npm
symbol-tree 3.2.4 间接依赖 npm
unbox-primitive 1.0.2 间接依赖 npm
debug 4.1.1 间接依赖 npm
@types/istanbul-lib-report 1.1.1 间接依赖 npm
deep-extend 0.6.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
normalize-path 2.1.1 间接依赖 npm
ansi-colors 4.1.1 间接依赖 npm
is-shared-array-buffer 1.0.2 间接依赖 npm
figures 3.1.0 间接依赖 npm
npm-bundled 1.0.6 间接依赖 npm
jest-each 24.9.0 间接依赖 npm
@babel/plugin-transform-arrow-functions 7.2.0 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
jest-haste-map 24.9.0 间接依赖 npm
text-table 0.2.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
trim-newlines 3.0.1 间接依赖 npm
istanbul-lib-coverage 2.0.5 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
csv 5.5.3 间接依赖 npm
v8flags 3.1.3 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
ansi-regex 4.1.0 间接依赖 npm
regenerate-unicode-properties 8.1.0 间接依赖 npm
@babel/plugin-syntax-json-strings 7.2.0 间接依赖 npm
@babel/plugin-transform-duplicate-keys 7.5.0 间接依赖 npm
define-property 2.0.2 间接依赖 npm
pify 4.0.1 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
@babel/helper-call-delegate 7.7.0 间接依赖 npm
escodegen 1.12.0 间接依赖 npm
caniuse-lite 1.0.30001327 间接依赖 npm
@babel/plugin-syntax-flow 7.7.0 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
read-pkg-up 7.0.1 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
@babel/preset-flow 7.0.0 直接依赖 npm
type-fest 0.13.1 间接依赖 npm
@types/yargs-parser 13.1.0 间接依赖 npm
flatted 2.0.1 间接依赖 npm
whatwg-url 6.5.0 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
@babel/helper-split-export-declaration 7.7.0 间接依赖 npm
yargs 13.3.0 间接依赖 npm
spawndamnit 2.0.0 间接依赖 npm
node-releases 2.0.2 间接依赖 npm
has 1.0.3 间接依赖 npm
csv-parse 4.16.3 间接依赖 npm
parse-json 5.2.0 间接依赖 npm
@babel/plugin-transform-block-scoped-functions 7.2.0 间接依赖 npm
fs-extra 7.0.1 间接依赖 npm
@changesets/cli 2.24.3 直接依赖 npm
clone 1.0.4 间接依赖 npm
ignore 5.2.0 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
p-map 2.1.0 间接依赖 npm
strip-json-comments 3.0.1 间接依赖 npm
remove-trailing-separator 1.1.0 间接依赖 npm
browser-resolve 1.11.3 间接依赖 npm
argparse 1.0.10 间接依赖 npm
@babel/node 7.7.0 直接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
@babel/core 7.7.2 直接依赖 npm
@babel/plugin-transform-modules-umd 7.7.0 间接依赖 npm
eslint-scope 5.0.0 间接依赖 npm
@types/node 12.20.47 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
jest-regex-util 24.9.0 间接依赖 npm
@babel/plugin-transform-regenerator 7.7.0 间接依赖 npm
isexe 2.0.0 间接依赖 npm
is-weakref 1.0.2 间接依赖 npm
unicode-match-property-ecmascript 1.0.4 间接依赖 npm
decode-uri-component 0.2.2 间接依赖 npm
jest-config 24.9.0 间接依赖 npm
which-module 2.0.0 间接依赖 npm
babel-plugin-dynamic-import-node 2.3.0 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
browserslist 4.20.2 间接依赖 npm
abab 2.0.3 间接依赖 npm
@manypkg/find-root 1.1.0 间接依赖 npm
@babel/helper-simple-access 7.7.0 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
optionator 0.8.3 间接依赖 npm
path-type 4.0.0 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
chalk 2.4.2 间接依赖 npm
@jest/console 24.9.0 间接依赖 npm
object-inspect 1.7.0 间接依赖 npm
@babel/plugin-proposal-dynamic-import 7.7.0 间接依赖 npm
@babel/helper-module-imports 7.7.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
expect 24.9.0 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
@babel/plugin-transform-parameters 7.4.4 间接依赖 npm
set-value 2.0.1 间接依赖 npm
resolve 1.12.0 间接依赖 npm
sisteransi 1.0.4 间接依赖 npm
better-path-resolve 1.0.0 间接依赖 npm
left-pad 1.3.0 间接依赖 npm
istanbul-lib-source-maps 3.0.6 间接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
dataloader 1.4.0 间接依赖 npm
base 0.11.2 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
flat-cache 2.0.1 间接依赖 npm
@babel/plugin-transform-literals 7.2.0 间接依赖 npm
find-up 5.0.0 间接依赖 npm
@babel/helper-annotate-as-pure 7.7.0 间接依赖 npm
fast-glob 3.2.11 间接依赖 npm
@babel/plugin-transform-unicode-regex 7.7.0 间接依赖 npm
flow-bin 0.112.0 直接依赖 npm
grapheme-splitter 1.0.4 间接依赖 npm
source-map-support 0.5.16 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
strip-indent 3.0.0 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
@babel/helper-remap-async-to-generator 7.7.0 间接依赖 npm
minimist 1.2.6 间接依赖 npm
onetime 5.1.0 间接依赖 npm
jest-worker 24.9.0 间接依赖 npm
jsonfile 4.0.0 间接依赖 npm
jest-mock 24.9.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
tar 4.4.19 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
node-fetch 2.6.7 间接依赖 npm
@babel/helper-create-regexp-features-plugin 7.7.2 间接依赖 npm
yargs 17.5.1 间接依赖 npm
defaults 1.0.3 间接依赖 npm
p-limit 2.3.0 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
chownr 1.1.4 间接依赖 npm
load-yaml-file 0.2.0 间接依赖 npm
pkg-dir 3.0.0 间接依赖 npm
xml-name-validator 3.0.0 间接依赖 npm
jest-serializer 24.9.0 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
@types/babel__generator 7.6.0 间接依赖 npm
babel-preset-jest 24.9.0 间接依赖 npm
upath 1.2.0 间接依赖 npm
color-name 1.1.4 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
@types/stack-utils 1.0.1 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
lru-cache 4.1.5 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
has-property-descriptors 1.0.0 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
has-value 1.0.0 间接依赖 npm
@babel/helper-regex 7.5.5 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
locate-path 3.0.0 间接依赖 npm
type-fest 0.6.0 间接依赖 npm
node-environment-flags 1.0.6 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
@babel/plugin-transform-computed-properties 7.2.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
babel-plugin-jest-hoist 24.9.0 间接依赖 npm
co 4.6.0 间接依赖 npm
are-we-there-yet 1.1.5 间接依赖 npm
resolve-from 3.0.0 间接依赖 npm
jest-matcher-utils 24.9.0 间接依赖 npm
acorn 5.7.4 间接依赖 npm
jest-snapshot 24.9.0 间接依赖 npm
@babel/plugin-transform-dotall-regex 7.7.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
object-inspect 1.12.2 间接依赖 npm
regenerate 1.4.0 间接依赖 npm
glob-parent 3.1.0 间接依赖 npm
resolve 1.1.7 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
aproba 1.2.0 间接依赖 npm
@types/babel__core 7.1.3 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
is-ci 3.0.1 间接依赖 npm
union-value 1.0.1 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
prettier 1.19.1 间接依赖 npm
capture-exit 2.0.0 间接依赖 npm
regenerator-runtime 0.13.3 间接依赖 npm
is-glob 3.1.0 间接依赖 npm
kleur 3.0.3 间接依赖 npm
eslint-visitor-keys 1.1.0 间接依赖 npm
object.assign 4.1.0 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
exit 0.1.2 间接依赖 npm
find-up 3.0.0 间接依赖 npm
is-regex 1.0.4 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
jest-resolve 24.9.0 间接依赖 npm
isarray 1.0.0 间接依赖 npm
@babel/helper-replace-supers 7.7.0 间接依赖 npm
@babel/plugin-transform-typeof-symbol 7.2.0 间接依赖 npm
p-filter 2.1.0 间接依赖 npm
get-intrinsic 1.1.2 间接依赖 npm
@babel/helper-plugin-utils 7.0.0 间接依赖 npm
throat 4.1.0 间接依赖 npm
type-fest 0.5.2 间接依赖 npm
jest-pnp-resolver 1.2.1 间接依赖 npm
glob-parent 5.1.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
@babel/plugin-transform-sticky-regex 7.2.0 间接依赖 npm
@babel/traverse 7.7.2 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
regenerator-transform 0.14.1 间接依赖 npm
source-map-resolve 0.5.2 间接依赖 npm
is-ci 2.0.0 间接依赖 npm
slash 3.0.0 间接依赖 npm
request-promise-native 1.0.8 间接依赖 npm
spdx-license-ids 3.0.5 间接依赖 npm
define-property 1.0.0 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
array-union 2.1.0 间接依赖 npm
globals 11.12.0 间接依赖 npm
detect-libc 1.0.3 间接依赖 npm
@changesets/get-dependents-graph 1.3.3 间接依赖 npm
find-cache-dir 2.1.0 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
ansi-escapes 4.2.1 间接依赖 npm
dotenv 8.6.0 间接依赖 npm
@babel/helper-explode-assignable-expression 7.7.0 间接依赖 npm
@babel/plugin-syntax-dynamic-import 7.2.0 间接依赖 npm
p-reduce 1.0.0 间接依赖 npm
esprima 4.0.1 间接依赖 npm
core-js 3.4.1 间接依赖 npm
request 2.88.0 间接依赖 npm
array-equal 1.0.0 间接依赖 npm
eslint 6.6.0 直接依赖 npm
@babel/plugin-transform-exponentiation-operator 7.2.0 间接依赖 npm
@changesets/get-github-info 0.5.1 间接依赖 npm
@babel/helper-function-name 7.7.0 间接依赖 npm
spdx-correct 3.1.0 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
is-string 1.0.7 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
nice-try 1.0.5 间接依赖 npm
@babel/plugin-transform-spread 7.6.2 间接依赖 npm
jest-environment-jsdom 24.9.0 间接依赖 npm
minizlib 1.3.3 间接依赖 npm
p-locate 3.0.0 间接依赖 npm
has-symbols 1.0.0 间接依赖 npm
js-yaml 3.13.1 间接依赖 npm
ret 0.1.15 间接依赖 npm
lodash.startcase 4.4.0 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
string.prototype.trimright 2.1.0 间接依赖 npm
fs-readdir-recursive 1.1.0 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
@babel/plugin-transform-for-of 7.4.4 间接依赖 npm
regjsparser 0.6.0 间接依赖 npm
map-obj 4.3.0 间接依赖 npm
@babel/types 7.7.2 间接依赖 npm
uglify-js 3.15.3 直接依赖 npm
minipass 2.9.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
wrap-ansi 6.2.0 间接依赖 npm
source-map-url 0.4.0 间接依赖 npm
regexpu-core 4.6.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
run-async 2.3.0 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
@cnakazawa/watch 1.0.3 间接依赖 npm
prompts 2.3.0 间接依赖 npm
extglob 2.0.4 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
minimist-options 4.1.0 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
string-length 2.0.0 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
walker 1.0.7 间接依赖 npm
@changesets/get-version-range-type 0.3.2 间接依赖 npm
npm-packlist 1.4.6 间接依赖 npm
jest-message-util 24.9.0 间接依赖 npm
jest-diff 24.9.0 间接依赖 npm
get-symbol-description 1.0.0 间接依赖 npm
ajv 6.12.6 间接依赖 npm
test-exclude 5.2.3 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
@changesets/read 0.5.7 间接依赖 npm
json5 2.2.3 间接依赖 npm
stack-utils 1.0.2 间接依赖 npm
micromatch 3.1.10 间接依赖 npm
levn 0.3.0 间接依赖 npm
@changesets/write 0.1.9 间接依赖 npm
require-main-filename 2.0.0 间接依赖 npm
babel-jest 24.9.0 间接依赖 npm
@manypkg/get-packages 1.1.3 间接依赖 npm
gauge 2.7.4 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
@babel/plugin-transform-modules-commonjs 7.7.0 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
string-width 3.1.0 间接依赖 npm
term-size 2.2.1 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
string.prototype.trimstart 1.0.5 间接依赖 npm
@jest/test-sequencer 24.9.0 间接依赖 npm
exec-sh 0.3.4 间接依赖 npm
make-dir 2.1.0 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
@babel/plugin-transform-named-capturing-groups-regex 7.7.0 间接依赖 npm
which-pm 2.0.0 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
table 5.4.6 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
binary-extensions 1.13.1 间接依赖 npm
get-value 2.0.6 间接依赖 npm
detect-indent 6.1.0 间接依赖 npm
@types/istanbul-reports 1.1.1 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
jest-runtime 24.9.0 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
meow 6.1.1 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
smartwrap 2.0.2 间接依赖 npm
@jest/environment 24.9.0 间接依赖 npm
stream-transform 2.1.3 间接依赖 npm
v8-compile-cache 2.1.0 间接依赖 npm
@babel/plugin-transform-object-super 7.5.5 间接依赖 npm
@babel/helper-define-map 7.7.0 间接依赖 npm
strip-ansi 4.0.0 间接依赖 npm
internal-slot 1.0.3 间接依赖 npm
loose-envify 1.4.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
read-yaml-file 1.1.0 间接依赖 npm
ms 2.0.0 间接依赖 npm
electron-to-chromium 1.4.106 间接依赖 npm
@babel/generator 7.7.2 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
redent 3.0.0 间接依赖 npm
p-try 2.2.0 间接依赖 npm
kind-of 5.1.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
diff-sequences 24.9.0 间接依赖 npm
camelcase-keys 6.2.2 间接依赖 npm
@babel/template 7.7.0 间接依赖 npm
@changesets/pre 1.0.12 间接依赖 npm
slash 2.0.0 间接依赖 npm
atob 2.1.2 间接依赖 npm
pn 1.1.0 间接依赖 npm
has-unicode 2.0.1 间接依赖 npm
array.prototype.flat 1.3.0 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
@babel/cli 7.7.0 直接依赖 npm
outdent 0.5.0 间接依赖 npm
babel-eslint 10.0.3 直接依赖 npm
yargs-parser 18.1.3 间接依赖 npm
extendable-error 0.1.7 间接依赖 npm
unicode-canonical-property-names-ecmascript 1.0.4 间接依赖 npm
jest-jasmine2 24.9.0 间接依赖 npm
@types/normalize-package-data 2.4.1 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
@babel/plugin-transform-shorthand-properties 7.2.0 间接依赖 npm
is-accessor-descriptor 1.0.0 间接依赖 npm
cliui 7.0.4 间接依赖 npm
console-control-strings 1.1.0 间接依赖 npm
@babel/helper-hoist-variables 7.7.0 间接依赖 npm
jest-resolve-dependencies 24.9.0 间接依赖 npm
rxjs 6.5.3 间接依赖 npm
jest-leak-detector 24.9.0 间接依赖 npm
kind-of 6.0.2 间接依赖 npm
jest-environment-node 24.9.0 间接依赖 npm
@babel/register 7.7.0 间接依赖 npm
string-width 4.2.0 间接依赖 npm
tough-cookie 2.5.0 间接依赖 npm
strip-ansi 6.0.0 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
fs-minipass 1.2.7 间接依赖 npm
preferred-pm 3.0.3 间接依赖 npm
@types/semver 6.2.3 间接依赖 npm
jest-runner 24.9.0 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
kleur 4.1.5 间接依赖 npm
braces 3.0.2 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
@babel/plugin-proposal-json-strings 7.2.0 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
isobject 3.0.1 间接依赖 npm
ignore-walk 3.0.3 间接依赖 npm
is-number 3.0.0 间接依赖 npm
yargs-parser 21.1.1 间接依赖 npm
growly 1.3.0 间接依赖 npm
@babel/plugin-transform-property-literals 7.2.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
glob 7.1.6 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
color-name 1.1.3 间接依赖 npm
jsdom 11.12.0 间接依赖 npm
import-local 2.0.0 间接依赖 npm
wide-align 1.1.3 间接依赖 npm
@babel/plugin-proposal-optional-catch-binding 7.2.0 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
rimraf 2.6.3 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
esquery 1.0.1 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
@babel/plugin-transform-destructuring 7.6.0 间接依赖 npm
bser 2.1.1 间接依赖 npm
nopt 4.0.1 间接依赖 npm
@changesets/types 5.1.0 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
is-promise 2.1.0 间接依赖 npm
es-shim-unscopables 1.0.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
ini 1.3.8 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
mixme 0.5.4 间接依赖 npm
makeerror 1.0.11 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
node-notifier 5.4.3 间接依赖 npm
braces 2.3.2 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
ignore 4.0.6 间接依赖 npm
babel-plugin-istanbul 5.2.0 间接依赖 npm
react-is 16.11.0 间接依赖 npm
ci-info 3.3.0 间接依赖 npm
jest-util 24.9.0 间接依赖 npm
is-subdir 1.2.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
leven 3.1.0 间接依赖 npm
@babel/plugin-transform-modules-systemjs 7.7.0 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
pump 3.0.0 间接依赖 npm
@babel/plugin-syntax-async-generators 7.2.0 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
through 2.3.8 间接依赖 npm
@changesets/parse 0.3.14 间接依赖 npm
jest-get-type 24.9.0 间接依赖 npm
jest-cli 24.9.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
wrap-ansi 5.1.0 间接依赖 npm
@jest/core 24.9.0 间接依赖 npm
@changesets/config 2.1.1 间接依赖 npm
split-string 3.1.0 间接依赖 npm
anymatch 2.0.0 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
pirates 4.0.1 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
debug 2.6.9 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
quick-lru 4.0.1 间接依赖 npm
w3c-hr-time 1.0.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
@changesets/types 4.1.0 间接依赖 npm
espree 6.1.2 间接依赖 npm
acorn-globals 4.3.4 间接依赖 npm
@changesets/changelog-git 0.1.12 间接依赖 npm
jest-docblock 24.9.0 间接依赖 npm
whatwg-url 5.0.0 间接依赖 npm
whatwg-encoding 1.0.5 间接依赖 npm
string.prototype.trimleft 2.1.0 间接依赖 npm
@babel/plugin-syntax-object-rest-spread 7.2.0 间接依赖 npm
@babel/plugin-transform-block-scoping 7.6.3 间接依赖 npm
sane 4.1.0 直接依赖 npm
@changesets/changelog-github 0.4.6 直接依赖 npm
@types/babel__template 7.0.2 间接依赖 npm
regexpp 2.0.1 间接依赖 npm
@jest/reporters 24.9.0 间接依赖 npm
is-date-object 1.0.1 间接依赖 npm
js-yaml 3.14.1 间接依赖 npm
@babel/helper-wrap-function 7.7.0 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
string-width 1.0.2 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
strip-json-comments 2.0.1 间接依赖 npm
regenerator-runtime 0.13.9 间接依赖 npm
@babel/highlight 7.5.0 间接依赖 npm
cross-spawn 5.1.0 间接依赖 npm
progress 2.0.3 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
csv-generate 3.4.3 间接依赖 npm
type-check 0.3.2 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
csv-stringify 5.6.5 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
@changesets/get-release-plan 3.0.14 间接依赖 npm
semver 6.3.0 间接依赖 npm
@babel/plugin-proposal-object-rest-spread 7.6.2 间接依赖 npm
jest 24.9.0 直接依赖 npm
for-in 1.0.2 间接依赖 npm
@jest/source-map 24.9.0 间接依赖 npm
globby 11.1.0 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
yargs-parser 13.1.2 间接依赖 npm
delegates 1.0.0 间接依赖 npm
cssom 0.3.8 间接依赖 npm
yallist 2.1.2 间接依赖 npm
invariant 2.2.4 间接依赖 npm
@babel/helper-member-expression-to-functions 7.7.0 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
@babel/plugin-transform-reserved-words 7.2.0 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
tslib 1.10.0 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
istanbul-reports 2.2.6 间接依赖 npm
map-obj 1.0.1 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
sax 1.2.4 间接依赖 npm
which 1.3.1 间接依赖 npm
semver 5.7.1 间接依赖 npm
node-modules-regexp 1.0.0 间接依赖 npm
is-callable 1.2.4 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
@types/minimist 1.2.2 间接依赖 npm
nanomatch 1.2.13 间接依赖 npm
tmpl 1.0.5 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
cliui 6.0.0 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
source-map 0.6.1 直接依赖 npm
rimraf 2.7.1 间接依赖 npm
decamelize-keys 1.1.0 间接依赖 npm
@babel/helper-module-transforms 7.7.0 间接依赖 npm
write 1.0.3 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
inquirer 7.0.0 间接依赖 npm
jest-validate 24.9.0 间接依赖 npm
private 0.1.8 间接依赖 npm
path-dirname 1.0.2 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
readable-stream 2.3.6 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
read-pkg 5.2.0 间接依赖 npm
jsesc 0.5.0 间接依赖 npm
ansi-escapes 3.2.0 间接依赖 npm
npmlog 4.1.2 间接依赖 npm
handlebars 4.7.7 间接依赖 npm
hard-rejection 2.1.0 间接依赖 npm
extend-shallow 2.0.1 间接依赖 npm
is-negative-zero 2.0.2 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
arrify 1.0.1 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
@babel/plugin-transform-async-to-generator 7.7.0 间接依赖 npm
convert-source-map 1.7.0 间接依赖 npm
emoji-regex 7.0.3 间接依赖 npm
min-indent 1.0.1 间接依赖 npm
execa 1.0.0 间接依赖 npm
@babel/helper-builder-binary-assignment-operator-visitor 7.7.0 间接依赖 npm
readdirp 2.2.1 间接依赖 npm
find-up 4.1.0 间接依赖 npm
@types/yargs 13.0.3 间接依赖 npm
realpath-native 1.1.0 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
@babel/plugin-transform-flow-strip-types 7.6.3 间接依赖 npm
tr46 0.0.3 间接依赖 npm
regjsgen 0.5.1 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
es-abstract 1.16.0 间接依赖 npm
@babel/helper-get-function-arity 7.7.0 间接依赖 npm
is-wsl 1.1.0 间接依赖 npm
parse5 4.0.0 间接依赖 npm
istanbul-lib-report 2.0.8 间接依赖 npm
spdx-exceptions 2.2.0 间接依赖 npm
unicode-match-property-value-ecmascript 1.1.0 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
y18n 4.0.3 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
@types/istanbul-lib-coverage 2.0.1 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
debug 3.2.6 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
(0)
上一篇 2023年10月29日
下一篇 2023年10月29日

相关推荐

  • hanami/hanami 软件分析报告

    基础信息 项目名称:hanami/hanami 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1758546493465399296/1758546493532508160 此报告由Murphysec提供 漏洞列表…

    软件分析 2024年2月17日
    0
  • dedecms/DedeCMS 软件分析报告

    基础信息 项目名称:dedecms/DedeCMS 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717101983152340992/1717101983601131520 此报告由Murphysec提供 漏洞…

    软件分析 2023年10月25日
    0
  • eikes/jquery.fullscreen.js 软件分析报告

    基础信息 项目名称:eikes/jquery.fullscreen.js 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717412033645379584/1717412033783791616 此报告由Mur…

    软件分析 2023年10月26日
    0
  • BobAngus/githubTest 软件分析报告

    基础信息 项目名称:BobAngus/githubTest 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1730106399781769216/1730106400536743936 此报告由Murphysec提…

    软件分析 2023年11月30日
    0
  • google/lisp-koans 软件分析报告

    基础信息 项目名称:google/lisp-koans 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718253494825779200/1718253494863527936 此报告由Murphysec提供 …

    软件分析 2023年10月28日
    0